Loading...
Searching...
No Matches
juce::ARAAudioModificationListener Class Reference

## Detailed Description

A base class for listeners that want to know about changes to an ARAAudioModification object.

Use ARAAudioModification::addListener() to register your listener with an ARAAudioModification.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARAModelObjects.h

Inheritance diagram for juce::ARAAudioModificationListener:

## Public Member Functions

virtual | ~ARAAudioModificationListener ()=default
| Destructor.
virtual void | willUpdateAudioModificationProperties (ARAAudioModification *audioModification, ARA::PlugIn::PropertiesPtr< ARA::ARAAudioModificationProperties > newProperties)
| Called before the audio modification's properties are updated.
virtual void | didUpdateAudioModificationProperties (ARAAudioModification *audioModification)
| Called after the audio modification's properties are updated.
virtual void | didUpdateAudioModificationContent (ARAAudioModification *audioModification, ARAContentUpdateScopes scopeFlags)
| Called when the audio modification's content (i.e.
virtual void | willDeactivateAudioModificationForUndoHistory (ARAAudioModification *audioModification, bool deactivate)
| Called before an audio modification is activated or deactivated when being removed / added from the host's undo history.
virtual void | didDeactivateAudioModificationForUndoHistory (ARAAudioModification *audioModification, bool deactivate)
| Called after an audio modification is activated or deactivated when being removed / added from the host's undo history.
virtual void | didAddPlaybackRegionToAudioModification (ARAAudioModification *audioModification, ARAPlaybackRegion *playbackRegion)
| Called after a playback region is added to the audio modification.
virtual void | willRemovePlaybackRegionFromAudioModification (ARAAudioModification *audioModification, ARAPlaybackRegion *playbackRegion)
| Called before a playback region is removed from the audio modification.
virtual void | willDestroyAudioModification (ARAAudioModification *audioModification)
| Called before the audio modification is destroyed.

## Constructors and Destructors

## ~ARAAudioModificationListener()

virtual juce::ARAAudioModificationListener::~ARAAudioModificationListener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## willUpdateAudioModificationProperties()

virtual void juce::ARAAudioModificationListener::willUpdateAudioModificationProperties | ( | ARAAudioModification * | audioModification,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARAAudioModificationProperties > | newProperties )

virtual

Called before the audio modification's properties are updated.

Parameters

  audioModification | The audio modification whose properties will be updated.
  newProperties | The audio modification properties that will be assigned to `audioModification`.

## didUpdateAudioModificationProperties()

virtual void juce::ARAAudioModificationListener::didUpdateAudioModificationProperties | ( | ARAAudioModification * | audioModification | ) |

virtual

Called after the audio modification's properties are updated.

Parameters

  audioModification | The audio modification whose properties were updated.

## didUpdateAudioModificationContent()

virtual void juce::ARAAudioModificationListener::didUpdateAudioModificationContent | ( | ARAAudioModification * | audioModification,
|  | ARAContentUpdateScopes | scopeFlags )

virtual

Called when the audio modification's content (i.e.

samples or notes) changes.

Parameters

  audioModification | The audio modification with updated content.
  scopeFlags | The scope of the content update.

## willDeactivateAudioModificationForUndoHistory()

virtual void juce::ARAAudioModificationListener::willDeactivateAudioModificationForUndoHistory | ( | ARAAudioModification * | audioModification,
|  | bool | deactivate )

virtual

Called before an audio modification is activated or deactivated when being removed / added from the host's undo history.

Parameters

  audioModification | The audio modification that was activated or deactivated
  deactivate | A bool indicating whether `audioModification` was deactivated or activated.

## didDeactivateAudioModificationForUndoHistory()

virtual void juce::ARAAudioModificationListener::didDeactivateAudioModificationForUndoHistory | ( | ARAAudioModification * | audioModification,
|  | bool | deactivate )

virtual

Called after an audio modification is activated or deactivated when being removed / added from the host's undo history.

Parameters

  audioModification | The audio modification that was activated or deactivated
  deactivate | A bool indicating whether `audioModification` was deactivated or activated.

## didAddPlaybackRegionToAudioModification()

virtual void juce::ARAAudioModificationListener::didAddPlaybackRegionToAudioModification | ( | ARAAudioModification * | audioModification,
|  | ARAPlaybackRegion * | playbackRegion )

virtual

Called after a playback region is added to the audio modification.

Parameters

  audioModification | The audio modification that `playbackRegion` was added to.
  playbackRegion | The playback region that was added to `audioModification`.

## willRemovePlaybackRegionFromAudioModification()

virtual void juce::ARAAudioModificationListener::willRemovePlaybackRegionFromAudioModification | ( | ARAAudioModification * | audioModification,
|  | ARAPlaybackRegion * | playbackRegion )

virtual

Called before a playback region is removed from the audio modification.

Parameters

  audioModification | The audio modification that `playbackRegion` will be removed from.
  playbackRegion | The playback region that will be removed from `audioModification`.

## willDestroyAudioModification()

virtual void juce::ARAAudioModificationListener::willDestroyAudioModification | ( | ARAAudioModification * | audioModification | ) |

virtual

Called before the audio modification is destroyed.

Parameters

  audioModification | The audio modification that will be destroyed.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited